// JavaScript Document
//$(document).ready(function () {
/////////////////////////////////导航
$("#nav_all li").hover(function () {
	$(this).children("ul").stop(true, true).slideDown("fast");
	}, function () {
	$(this).children("ul").stop(true, true).slideUp("fast");
})
    //$(function() {
      //  $('.host_youshi_pic a').lightBox();
    //});
////////////////////////////////答疑
$("dl.domain_pb").click(function(){
	var $yumingtell = $(this).children("dd");
	$yumingtell.toggle("fast");
})

$(".sitetable_btn").click(function(){
	$(".sitetable_more").toggle("fast")
	})

$(".maillist tr:odd").css({"background-color":"#E5F2CF"})
//相关购买
$(".listbuy li:odd").addClass("listodd")
//Sidebar Accordion Menu:
		
		$(".listnav li ul").hide(); // Hide all sub menus
		$(".listnav li").click( // When a top menu item is clicked...
			function () {
				$(this).find("ul:first").slideToggle("500"); // Slide up all sub menus except the one clicked
				return false;
			}
		);
		
		$(".listnav li a").click( // When a menu item with no sub menu is clicked...
			function () {
				window.location.href=(this.href); // Just open the link instead of a sub menu
				return false;
			}
		); 

    // Sidebar Accordion Menu Hover Effect:
		
		$(".listnav li .nav-top-item").hover(
			function () {
				$(this).find('span').stop().animate({ paddingLeft: "15px" }, 100);
			}, 
			function () {
				$(this).find("span").stop().animate({ paddingLeft: "10px" });
			}
		);
//Sidebar Accordion Menu:
		
		$(".usernav li").click( // When a top menu item is clicked...
			function () {
				$(this).find("ul:first").slideToggle("500"); // Slide up all sub menus except the one clicked
				return false;
			}
		);
		
		$(".usernav li a").click( // When a menu item with no sub menu is clicked...
			function () {
				window.location.href=(this.href); // Just open the link instead of a sub menu
				return false;
			}
		); 

    // Sidebar Accordion Menu Hover Effect:
		
		$(".usernav li .nav-top-item").hover(
			function () {
				$(this).find('span').stop().animate({ paddingLeft: "15px" }, 100);
			}, 
			function () {
				$(this).find("span").stop().animate({ paddingLeft: "10px" });
			}
		);
		
////////////////////////////////托管数据中心
$(".idc_tg_info .tags a").eq(0).addClass("on");
$(".idc_tg_info .tagContent").eq(0).css({"display":"block"});
$(".idc_tg_info .tags a").hover(function(){
$(".idc_tg_info .tags a").removeClass("on");
$(this).addClass("on");
	$(".idc_tg_info .tagContent").hide();
	var $yumingtell=$(".idc_tg_info .tagContent").eq($(this).index());
	$yumingtell.show();
})
////////////////////////////////托管数据中心
$(".idc_tg_youshi .tags a").eq(0).addClass("on");
$(".idc_tg_youshi .tagContent").eq(0).css({"display":"block"});
$(".idc_tg_youshi .tags a").hover(function(){
$(".idc_tg_youshi .tags a").removeClass("on");
$(this).addClass("on");
	$(".idc_tg_youshi .tagContent").hide();
	var $yumingtell=$(".idc_tg_youshi .tagContent").eq($(this).index());
	$yumingtell.show();
})
////////////////////////////////idc数据中心首页产品
$(".idc_ichanpin .tags a").eq(0).addClass("on");
$(".idc_ichanpin .tagContent").eq(0).css({"display":"block"});
$(".idc_ichanpin .tags a").hover(function(){
$(".idc_ichanpin .tags a").removeClass("on");
$(this).addClass("on");
	$(".idc_ichanpin .tagContent").hide();
	var $yumingtell=$(".idc_ichanpin .tagContent").eq($(this).index());
	$yumingtell.show();
})
////////////////////////////////首页域名查询
$(".yumingboxtopnav span").eq(0).addClass("on");
$(".yumingbox .yumingmain").eq(0).css({"display":"block"});
$(".yumingboxtopnav span").mouseover(function(){
$(".yumingboxtopnav span").removeClass("on");
$(this).addClass("on");
	$(".yumingbox .yumingmain").hide();
	var $yumingtell=$(".yumingbox .yumingmain").eq($(this).index());
	$yumingtell.show();
})
////////////////////////////////首页数据中心
$(".ichanpin .tags a").eq(0).addClass("on");
$(".ichanpin .tagContent").eq(0).css({"display":"block"});
$(".ichanpin .tags a").hover(function(){
$(".ichanpin .tags a").removeClass("on");
$(this).addClass("on");
	$(".ichanpin .tagContent").hide();
	var $yumingtell=$(".ichanpin .tagContent").eq($(this).index());
	$yumingtell.show();
})
////////////////////////////////二级域名查询
//$(".domain_search .tags a").eq(0).addClass("on");
//$(".domain_seaech_box .tagContent").eq(0).css({"display":"block"});
$(".domain_search .tags a").click(function(){
$(".domain_search .tags a").removeClass("on");
$(this).addClass("on");
	$(".domain_seaech_box .tagContent").hide();
	var $yumingtell=$(".domain_seaech_box .tagContent").eq($(this).index());
	$yumingtell.show();
})
////////////////////////////////二级域名信息
$(".domain_info .tags a").eq(0).addClass("on");
$(".domain_info .tagContent").eq(0).css({"display":"block"});
$(".domain_info .tags a").click(function(){
$(".domain_info .tags a").removeClass("on");
$(this).addClass("on");
	$(".domain_info .tagContent").hide();
	var $yumingtell=$(".domain_info .tagContent").eq($(this).index());
	$yumingtell.show();
})
////////////////////////////////二级虚机信息
$(".host_info .tags a").eq(0).addClass("on");
$(".host_info .tagContent").eq(0).css({"display":"block"});
$(".host_info .tags a").click(function(){
$(".host_info .tags a").removeClass("on");
$(this).addClass("on");
	$(".host_info .tagContent").hide();
	var $yumingtell=$(".host_info .tagContent").eq($(this).index());
	$yumingtell.show();
})
////////////////////////////////二级虚拟主机产品
$(".host_list .tags a").eq(0).addClass("on");
$(".host_list .tagContent").eq(0).css({"display":"block"});
$(".host_list .tags a").click(function(){
$(".host_list .tags a").removeClass("on");
$(this).addClass("on");
	$(".host_list .tagContent").hide();
	var $yumingtell=$(".host_list .tagContent").eq($(this).index());
	$yumingtell.show();
})
////////////////////////////////三级虚拟主机参数
$(".host_qiehuan .tags a").eq(0).addClass("on");
$(".host_qiehuan .tagContent").eq(0).css({"display":"block"});
$(".host_qiehuan .tags a").click(function(){
$(".host_qiehuan .tags a").removeClass("on");
$(this).addClass("on");
	$(".host_qiehuan .tagContent").hide();
	var $yumingtell=$(".host_qiehuan .tagContent").eq($(this).index());
	$yumingtell.show();
})

////////////////////////////////二级虚拟主机产品
$(".site_list .tags a").eq(0).addClass("on");
$(".site_list .tagContent").eq(0).css({"display":"block"});
$(".site_list .tags a").click(function(){
$(".site_list .tags a").removeClass("on");
$(this).addClass("on");
	$(".site_list .tagContent").hide();
	var $yumingtell=$(".site_list .tagContent").eq($(this).index());
	$yumingtell.show();
})
////////////////////////////////公告
$(".tag").eq(0).addClass("tags");
$(".tellInfo").eq(0).css("display", "block");
$(".tag").mouseover(function(){
$(".tag").removeClass("tags");
$(this).addClass("tags");
	$(".tellInfo").hide();
	var $tell=$(".tellInfo").eq($(this).index());
	$tell.show();
})
///////////////////////////////焦点图切换
jQuery(function ($) {
	var wrap = $('.hotdoing-img');
	var imgs = wrap.find('.hotdoing-photo li');
	var len = imgs.length;
	var tabTime = 500;
	var outTime = 5000;
	var special = 'ntwon';
	var num = 0;
	var interval;
	var type = 'mousemove';
	imgs.each(function (i) {
		$('<li>' + (i + 1) + '</li>').appendTo(wrap.find('.hotdoing-button'))
	});
	var btns = wrap.find('.hotdoing-button li');
	btns.eq(num).addClass(special);
	btns.bind(type, function () {
		var _this = $(this);
		_this.addClass(special).siblings().removeClass(special);
		num = _this.prevAll().length;
		imgs.stop().eq(num).fadeTo(tabTime, 1);
		imgs.not(':eq(' + num + ')').filter(':visible').fadeOut(tabTime);
		return false;
	});
	var interFunc = function(){
		num = (num+1)%len;
		btns.eq(num).triggerHandler(type);		
	}	
	wrap.bind('mouseover',function(){
		clearInterval(interval);
	}).bind('mouseout',function(){
		interval = setInterval(interFunc,outTime);
	});	
	imgs.not(':eq('+num+')').hide();	
	interval = setInterval(interFunc,outTime);
});
//首页图片轮播器End

///////////////////////////////
var _speed=30;
var _slide = $("#slide");
var _slideli1 = $("#slideli1");
var _slideli2 = $("#slideli2");
_slideli2.html(_slideli1.html());
function Marquee(){
	if(_slide.scrollLeft() >= _slideli1.width())
		_slide.scrollLeft(0);
	else{
		_slide.scrollLeft(_slide.scrollLeft()+1);
	}
}
$(function(){
	//两秒后调用
	var sliding=setInterval(Marquee,_speed)
	_slide.hover(function() {
		//鼠标移动DIV上停止
		clearInterval(sliding);
	},function(){
		//离开继续调用
		sliding=setInterval(Marquee,_speed);
	});
});

////////////////////////

var top_speed=30;
var top_slide = $(".top_slide");
var top_slideli1 = $(".top_slideli1");
var top_slideli2 = $(".top_slideli2");
top_slideli2.html(top_slideli1.html());
function top_Marquee(){
	if(top_slide.scrollTop() >= top_slideli1.height())
		top_slide.scrollTop(0);
	else{
		top_slide.scrollTop(top_slide.scrollTop()+1);
	}
}
$(function(){
	//两秒后调用
	var top_sliding=setInterval(top_Marquee,top_speed)
	top_slide.hover(function(){
		//鼠标移动DIV上停止
		clearInterval(top_sliding);
	},function(){
		//离开继续调用
		top_sliding=setInterval(top_Marquee,top_speed);
	});
});
//////////////////////////////////
//});



////////虚机详情里切换的JS

function showCnt(l, n) {
getObject("d" + l).style.display = "";
getObject("a" + l).onmouseout = function () {
getObject("d" + l).style.display = "none";
}
}
function nTabs(thisObj, Num) {
if (thisObj.className == "active") return;
var tabObj = thisObj.parentNode.id;
var tabList = document.getElementById(tabObj).getElementsByTagName("li");
for (i = 0; i < tabList.length; i++) {
if (i == Num) {
thisObj.className = "active";
document.getElementById(tabObj + "_Content" + i).style.display = "block";
}
else {
tabList[i].className = "normal";
document.getElementById(tabObj + "_Content" + i).style.display = "none";
}
}
}